import { RequestClient, Features } from '@segment/actions-core';
import { StatsContext } from '@segment/actions-core/destination-kit';
import { ParsedFacebookError, NonFacebookError, FacebookResponseError } from './types';
export declare function parseFacebookError(error: FacebookResponseError): ParsedFacebookError;
export declare function createAudience(request: RequestClient, name: string, adAccountId: string, description?: string, features?: Features, statsContext?: StatsContext): Promise<{
    data?: {
        externalId: string;
    };
    error?: NonFacebookError;
}>;
export declare function getAudience(request: RequestClient, externalId: string, features?: Features, statsContext?: StatsContext): Promise<{
    data?: {
        externalId?: string;
        name: string;
    };
    error?: NonFacebookError;
}>;
export declare function getApiVersion(features?: Features, statsContext?: StatsContext): string;
export declare function normalizeAccountId(adAccountId: string): string;
